package api

import (
    "net/http"
    // log "github.com/sirupsen/logrus"
)

func (api *API) usersHandler(w http.ResponseWriter, r *http.Request) {
    if r.Method == http.MethodPost {
        // CREATE
    } else if r.Method == http.MethodPut {
        // UPDATE / REPLACE
    } else if r.Method == http.MethodPatch {
        // UPDATE / MODIFY
    } else if r.Method == http.MethodDelete {
        // DELETE
    } else if r.Method == http.MethodGet {
        // GET
    } else {
        errorJSON(w, "Method is not supported.", http.StatusMethodNotAllowed)
        return
    }
}

func (api *API) meHandler(w http.ResponseWriter, r *http.Request) {
    if r.Method != http.MethodGet {
        errorJSON(w, "Method is not supported.", http.StatusMethodNotAllowed)
        return
    }
}
